//+------------------------------------------------------------------+
//|                                             fawaz ALERT TEST.mq4 |
//|                                                      Nicholishen |
//|                                                 nick@barker.net  |
//+------------------------------------------------------------------+
#property copyright "Nicholishen"
#property link      "www.tradingintl.com"
#include <WinUser32.mqh> 
//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+

extern string init="0 periods will alert immediately";
extern int PeriodsToConfirmX=1;
int cross(int pd){
   double 
   ylw=iCustom(NULL,0,"SATL",0,pd),
   ppl=iCustom(NULL,0,"RSTL",0,pd),
   ylwpre=iCustom(NULL,0,"SATL",0,pd+1),
   pplpre=iCustom(NULL,0,"RSTL",0,pd+1);
   
   if(ylw>ppl && ylwpre<pplpre)return(1);
   if(ylw<ppl && ylwpre>pplpre)return(2);
   
   return(0);
}
string fin(int trend){
   if(trend==1)return("UP");
   if(trend==2)return("DOWN");
}
   
int init(){

   for(int i=1000;i>0;i--){
      if(cross(i)==1){int trend=1; int per=i;}
      if(cross(i)==2){ trend=2; per=i;}
   }
   
   if(trend==1)string k="UP";
   if(trend==2) k="DOWN";
   
   Comment("\n","Indicators last crossed ",k," ",per," periods ago.");
   PlaySound("alert.wav");
   Alert("Indicators Have Crossed ",fin(trend)," ",per," periods ago.");


   return(0);
  }
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start(){

int i= PeriodsToConfirmX;
   static int bar;
   if(bar!=Bars)static int cancel=0;
   if(cancel == 7 || cancel==0){ 
      if(cross(i)==1){
         PlaySound("alert.wav");Alert("Indicators Have Crossed ",fin(1));
         Comment("UP");
         int ret=MessageBox("Cancel Alerts for This Period?",NULL,MB_YESNO|MB_ICONQUESTION);
         if(ret==IDYES){
            cancel=6;bar=Bars;
         }
      }     
      if(cross(i)==2){
         PlaySound("alert.wav");Alert("Indicators Have Crossed ",fin(2));
         Comment("DOWN");
         ret=MessageBox("Cancel Alerts for This Period?",NULL,MB_YESNO|MB_ICONQUESTION);
         if(ret==IDYES){
            cancel=6;bar=Bars;
         }
      }
   }

   
   return(0);
  }
//+------------------------------------------------------------------+